package com.lightinit.hsdataplatformresdir.model;

/**
 * Created by WangYao on 2018/5/21.
 */
public class ResultState<T> extends BaseResultState<T> {

    public ResultState()
    {
         this.msg = "操作成功";
    }

    public ResultState(int stateCode, String msg)
    {
        this.stateCode = stateCode;
        this.msg = msg;
    }

    public ResultState(int stateCode, String msg, T data)
    {
        this.stateCode = stateCode;
        this.msg = msg;
        this.data = data;
    }
}
